Index: modules/open-science-observatory-ui/trunk/src/app/pages/home/countries-map-overview.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/home/countries-map-overview.component.ts	(revision 58824)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/home/countries-map-overview.component.ts	(revision 58825)
@@ -161,7 +161,7 @@
           click: event => {
             if (event.target.hasOwnProperty('point')) {
               console.log(event.target['point']['name']);
-              // this.countrySelected(event.target['point']['name']);
+              // this.selectedCountry(event.target['point']['name']);
             }
           }
         }
@@ -178,6 +178,7 @@
           cursor: 'pointer',
           events: {
             click: event => {
+              console.log(event);
               this.countrySelected(event.point.name);
             }
           }
Index: modules/open-science-observatory-ui/trunk/src/app/pages/home/europe-map-overview.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/home/europe-map-overview.component.ts	(nonexistent)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/home/europe-map-overview.component.ts	(revision 58825)
@@ -0,0 +1,356 @@
+import { MapCountryData } from '../../domain/map-country-data';;
+
+import { Component, EventEmitter, OnInit, Output } from '@angular/core';
+import { CountryOverview } from '../../domain/overview-data';
+
+import { DataService } from '../../services/data.service';
+import { Router } from '@angular/router';
+import {CountryMapData, JoinedMapData, OverviewMapData, SelectedCountry} from '../../domain/overview-map-data';
+import { latlong } from '../../domain/countries-lat-lon';
+import { DataHandlerService } from '../../services/data-handler.service';
+
+import * as echarts from 'echarts';
+
+declare var require: any;
+
+const mapWorld = require('echarts/map/json/world.json');
+
+@Component({
+  selector: 'app-europe-map-overview',
+  templateUrl: './europe-map-overview.component.html',
+})
+
+export class EuropeMapOverviewComponent implements OnInit {
+
+  countries: CountryOverview[];
+
+  @Output() emitSelectedCountry: EventEmitter<any> = new EventEmitter();
+
+  activeView: string = 'publications';
+  seriesColor: string = '#F17AA9';
+  seriesName: string = 'OA publications';
+
+  // tooltipBackgroundColor: string = '#EC4386';
+  tooltipBackgroundColor: string = '#a52e5d';
+  tooltipBorderColor: string = '#000';
+
+  options = {};
+
+  overviewMapData: OverviewMapData;
+
+  countriesLatLong = latlong;
+
+  joinedPublicationsMap: Map<string, JoinedMapData>;
+  joinedDatasetsMap: Map<string, JoinedMapData>;
+
+  constructor(private dataService: DataService,
+              private dataHandlerService: DataHandlerService,
+              private router: Router) {}
+
+  ngOnInit(): void {
+
+    echarts.registerMap('world', mapWorld);
+
+    if (this.isEmbedRoute()) {
+      const body = document.getElementsByTagName('body')[0];
+      body.classList.remove('header_sticky');
+    }
+
+    this.dataService.getOverviewMapData().subscribe(
+      rawData => {
+        // console.log('==== Map RawData ====', rawData);
+        this.overviewMapData = this.dataHandlerService.convertRawMapDataToMapData(rawData);
+        this.joinedPublicationsMap = this.dataHandlerService.createJoinedPublicationsCountryMap(rawData);
+        this.joinedDatasetsMap = this.dataHandlerService.createJoinedDatasetsCountryMap(rawData);
+
+        // console.log('Country map data', this.overviewMapData[this.activeView]);
+        this.loadMap(this.overviewMapData[this.activeView], this.seriesColor, this.seriesColor);
+      },
+      error => {
+        console.log(error);
+      }
+    );
+  }
+
+  changeView(view: string) {
+    this.activeView = view;
+
+    if (this.activeView === 'publications') {
+      this.seriesColor = '#F17AA9';
+      this.seriesName = 'OA publications';
+      this.tooltipBackgroundColor = '#a52e5d';
+      this.tooltipBorderColor = '#000';
+    } else if (this.activeView === 'datasets') {
+      this.seriesColor = '#A98BD4';
+      this.seriesName = 'OA datasets';
+      this.tooltipBackgroundColor = '#7658a1';
+      this.tooltipBorderColor = '#000';
+    } else if (this.activeView === 'repositories') {
+      this.seriesColor = '#708AA5';
+      this.seriesName = 'OA repositories';
+      this.tooltipBackgroundColor = '#3d5772';
+      this.tooltipBorderColor = '#000';
+    } else if (this.activeView === 'journals') {
+      this.seriesColor = '#FFCE4E';
+      this.seriesName = 'OA journals';
+      this.tooltipBackgroundColor = '#cc9b1b';
+      this.tooltipBorderColor = '#000';
+    } else {
+      this.seriesColor = '#639C66';
+      this.seriesName = 'OA policies';
+      this.tooltipBackgroundColor = '#306933';
+      this.tooltipBorderColor = '#000';
+    }
+    this.loadMap(this.overviewMapData[view], this.seriesColor, this.seriesName);
+  }
+
+  loadMap(countryMapData: CountryMapData[], seriesColor: string, seriesName: string) {
+
+    this.options = {
+      title : {
+        // text: 'World Population (2011)',
+        // subtext: 'From Gapminder',
+        left: 'center',
+        top: 'top',
+        textStyle: {
+          color:  '#fff'
+        }
+      },
+      responsive: true,
+      tooltip : {
+        trigger: 'item',
+        // position: 'top',
+        // formatter: '<strong>{b}</strong><br> {c2} {a}',
+        // backgroundColor: '#f6c4d8',
+        // borderColor: '#bf1d5e',
+        // borderWidth: 0.2
+      },
+      visualMap: {
+        show: false,
+        min: 0,
+        // max: max,
+        max: 80000,
+        inRange: {
+          // symbolSize: [6, 60]
+          // symbolSize: [0, 6]
+        }
+      },
+      geo: {
+        // name:  'World Population (2010)',
+        type: 'map',
+        map: 'world',
+        // center: [15.2551, 54.5260],
+        center: [14, 51],
+        zoom: 4.7,
+        // roam: true,
+        label: {
+          emphasis: {
+            show: false
+          }
+        },
+        itemStyle: {
+          normal: {
+            // color: 'rgba(139,151,167,0.4)',
+            // borderColor: '#000',
+            borderColor: '#fff',
+            borderWidth: 0.5,
+            areaColor: 'rgba(139,151,167,0.6)',
+            // areaStyle: {
+            //   color: 'rgba(139,151,167,0.2)'
+            // }
+          },
+          emphasis: {
+            // color: 'rgba(139,151,167,0.4)',
+            // borderColor: '#000',
+            borderColor: '#fff',
+            borderWidth: 0.5,
+            areaColor: 'rgba(139,151,167,0.8)',
+            // areaStyle: {
+            //   color: 'rgba(139,151,167,0.2)'
+            // }
+          }
+        }
+        // itemStyle: {
+        //   // areacolor: '#ffffff',
+        //   // bordercolor: '#111',
+        //   // borderWidth: 1,
+        //   // normal: {
+        //   //   // areacolor: '#323c48',
+        //   //   areacolor: '#ffffff',
+        //   //   bordercolor: '#111'
+        //   // },
+        //   // emphasis: {
+        //   //   areacolor: '#2a333d'
+        //   // }
+        // }
+      },
+      series : [
+        {
+          type: 'scatter',
+          coordinateSystem: 'geo',
+          name: seriesName,
+          label: {
+            show: true,
+            position: 'inside',
+            color: '#fff',
+            opacity: 1,
+            // formatter: '{@[2]}',
+            formatter: (params => {
+              return params.data.value[2].toLocaleString();
+            }),
+            textBorderColor: '#000',
+            textBorderWidth: '2',
+            fontSize: 15
+            // formatter: '{b}: {@score}'
+          },
+          // activeOpacity: 0.6,
+          data: countryMapData.map((itemOpt) => {
+            // console.log('itemOpt.code', itemOpt.code);
+            return {
+              name: itemOpt.name,
+              value: [
+                this.countriesLatLong.get(itemOpt.code).longitude,
+                this.countriesLatLong.get(itemOpt.code).latitude,
+                itemOpt.value
+              ],
+              // label: {
+              //   emphasis: {
+              //     position: 'right',
+              //     show: true
+              //   }
+              // },
+              itemStyle: {
+                normal: {
+                  color:  seriesColor,
+                  // color:  '#f8d5e3',
+                  // opacity: 0.8,
+                  borderColor: seriesColor,
+                  borderWidth: 2
+                }
+              }
+            };
+          }),
+          symbolSize: value => {
+            // console.log('Math.sqrt(value[2]) / 1000: ' + (Math.sqrt(value[2]) / 1000) );
+            // return Math.sqrt(value[2]) / 10;
+            return Math.sqrt(value[2]) / 10 * this.resizeFactor(countryMapData);
+            // return Math.sqrt(value[2]) / 10;
+          },
+          tooltip : {
+            trigger: 'item',
+            position: 'top',
+            formatter: (params => {
+              // console.log('params: ', params);
+              // let bla = '<strong>' + params.data.name + '</strong><br>';
+              // bla += params.data.value[2].toLocaleString() + ' ' + params.seriesName;
+              // return bla;
+              return this.createTooltip(params);
+            }),
+            backgroundColor: this.tooltipBackgroundColor,
+            borderColor: this.tooltipBorderColor,
+            borderWidth: 0.2
+          },
+        }
+      ]
+    };
+  }
+
+  onChartClick(event: any, type: string) {
+    // console.log('chart event:', type, event);
+    // console.log('country:', event.name);
+
+    const selectedCountry: SelectedCountry = new SelectedCountry();
+    selectedCountry.name = event.name;
+    selectedCountry.code = this.joinedPublicationsMap.get(event.name).countryCode;
+
+    // console.log('Selected country', selectedCountry);
+    this.emitSelectedCountry.emit(selectedCountry);
+  }
+
+  // selectedCountry(countryName: string) {
+  //   this.emitSelectedCountry.emit(countryName);
+  // }
+
+  isEmbedRoute() {
+    return (this.router.url === '/overview-map-embed');
+  }
+
+  resizeFactor(countryMapData: CountryMapData[]) {
+
+    let max = 0;
+    for (const countryData of countryMapData) {
+      if (countryData.value > max) {
+        max = countryData.value;
+      }
+    }
+    // console.log('resizeFactor', 100 / (Math.sqrt(max) / 10));
+    return 100 / (Math.sqrt(max) / 10);
+  }
+
+  createTooltip(params: any) {
+
+    // console.log('params: ', params);
+    // console.log('params.name: ', params.name);
+
+    let tooltip = '<div style="padding:10px">';
+
+    tooltip += '<div class="uk-margin-small" style="font-weight: 600;">' + params.name + '</div>';
+
+    if (this.activeView === 'publications') {
+
+      tooltip += '<div class="numbers">';
+      tooltip += '<div class="indicator">' +
+        '<span class="number">' + params.data.value[2].toLocaleString() + '</span>' +
+        '<span><i>OA publications</i> affiliated <br>to an organization in the country</span></div>';
+
+      tooltip += '<div class="indicator uk-margin-small-top">' +
+        '<span class="number">' + this.joinedPublicationsMap.get(params.name).deposited.toLocaleString() + '</span>' +
+        '<span><i>OA publications</i> from <br>institutional repositories</span></div>';
+
+      tooltip += '</div>';
+
+    } else if (this.activeView === 'datasets') {
+
+      tooltip += '<div class="numbers">';
+      tooltip += '<div class="indicator">' +
+        '<span class="number">' + params.data.value[2].toLocaleString() + '</span>' +
+        '<span><i>OA datasets</i> affiliated <br>to an organization in the country</span></div>';
+
+      tooltip += '<div class="indicator uk-margin-small-top">' +
+        '<span class="number">' + this.joinedDatasetsMap.get(params.name).deposited.toLocaleString() + '</span>' +
+        '<span><i>OA datasets</i> from <br>institutional repositories</span></div>';
+
+      tooltip += '</div>';
+
+    } else if (this.activeView === 'repositories') {
+
+      tooltip += '<div class="numbers">';
+      tooltip += '<div class="indicator">' +
+        '<span class="number">' + params.data.value[2].toLocaleString() + '</span>' +
+        '<span><i>repositories</i> from <br>openDOAR & re3data</span></div>';
+
+      tooltip += '</div>';
+
+    } else if (this.activeView === 'journals') {
+
+      tooltip += '<div class="numbers">';
+      tooltip += '<div class="indicator">' +
+        '<span class="number">' + params.data.value[2].toLocaleString() + '</span>' +
+        '<span><i>journals</i> from <br>DOAJ</span></div>';
+
+      tooltip += '</div>';
+
+    } else {
+
+      tooltip += '<div class="numbers">';
+      tooltip += '<div class="indicator">' +
+        '<span class="number">' + params.data.value[2].toLocaleString() + '</span>' +
+        '<span>organizations with <br><i>OA policies</i></span></div>';
+
+      tooltip += '</div>';
+    }
+
+    tooltip += '</div>';
+    return tooltip;
+  }
+}
Index: modules/open-science-observatory-ui/trunk/src/app/pages/home/countries-table.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/home/countries-table.component.ts	(revision 58824)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/home/countries-table.component.ts	(revision 58825)
@@ -1,18 +1,15 @@
-import { Component, Input, OnChanges, ViewEncapsulation } from '@angular/core';
-import { CountryOverview } from '../../domain/overview-data';
+import { Component, Input, OnChanges } from '@angular/core';
+import { CountryTableData } from '../../domain/overview-map-data';
 
 @Component({
   selector: 'app-countries-table',
   templateUrl: './countries-table.component.html',
-  // styleUrls: ['./top-menu.component.css'],
-  encapsulation: ViewEncapsulation.None
 })
 
 export class CountriesTableComponent implements OnChanges {
 
   @Input() isPercentage: boolean;
-  @Input() type: string;
-  @Input() countries: CountryOverview[];
+  @Input() countries: CountryTableData[];
 
   isSortedBy: string;
   isDescending: boolean = true;
@@ -20,7 +17,7 @@
   constructor() {}
 
   ngOnChanges() {
-    this.countries.sort((a, b) => (a['country'] > b['country']) ? 1 : -1);
+    this.countries.sort((a, b) => (a['name'] > b['name']) ? 1 : -1);
   }
 
   sortBy(field: string) {
@@ -34,24 +31,16 @@
     this.isSortedBy = field;
 
     if (field !== 'country') {
-      if (this.isPercentage) {
-        if (this.isDescending) {
-          this.countries.sort((a, b) => b[field].percentage - a[field].percentage);
-        } else {
-          this.countries.sort((a, b) => a[field].percentage - b[field].percentage);
-        }
+      if (this.isDescending) {
+        this.countries.sort((a, b) => b[field] - a[field]);
       } else {
-        if (this.isDescending) {
-          this.countries.sort((a, b) => b[field].oa - a[field].oa);
-        } else {
-          this.countries.sort((a, b) => a[field].oa - b[field].oa);
-        }
+        this.countries.sort((a, b) => a[field] - b[field]);
       }
     } else {
       if (this.isDescending) {
-        this.countries.sort((a, b) => (a[field] < b[field]) ? 1 : -1);
+        this.countries.sort((a, b) => (a['name'] < b['name']) ? 1 : -1);
       } else {
-        this.countries.sort((a, b) => (a[field] > b[field]) ? 1 : -1);
+        this.countries.sort((a, b) => (a['name'] > b['name']) ? 1 : -1);
       }
     }
 
Index: modules/open-science-observatory-ui/trunk/src/app/pages/home/data-view.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/home/data-view.component.ts	(revision 58824)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/home/data-view.component.ts	(revision 58825)
@@ -1,22 +1,29 @@
-import {Component, Input, OnInit, ViewEncapsulation} from '@angular/core';
-import { CountryOverview } from '../../domain/overview-data';
+import { Component, OnInit } from '@angular/core';
 import { printPage } from '../../shared/reusablecomponents/print-function';
 import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
+import { DataService } from '../../services/data.service';
+import { DataHandlerService } from '../../services/data-handler.service';
+import { CountryTableData } from '../../domain/overview-map-data';
 
 @Component({
   selector: 'app-data-view',
   templateUrl: './data-view.component.html',
-  // styleUrls: ['./top-menu.component.css'],
-  encapsulation: ViewEncapsulation.None
 })
 
 export class DataViewComponent implements OnInit {
 
-  @Input() type: string;
-  @Input() countries: CountryOverview[];
+  // @Input() type: string;
+  // @Input() countries: CountryOverview[];
 
   activeView: string = 'absolute';
+  contentAbsoluteSelection: string = 'affiliated';
+  contentPercentageSelection: string = 'affiliated';
 
+  tableAbsoluteData: CountryTableData[];
+  tablePercentageData: CountryTableData[];
+
+  loading: boolean = true;
+
   oaPublicationsURL: SafeResourceUrl;
   oaRepositoriesURL: SafeResourceUrl;
   oaJournalsURL: SafeResourceUrl;
@@ -24,8 +31,50 @@
   oaSoftwareURL: SafeResourceUrl;
   oaOtherURL: SafeResourceUrl;
 
-  constructor(private sanitizer: DomSanitizer) {}
+  constructor(private sanitizer: DomSanitizer,
+              private dataService: DataService,
+              private dataHandlerService: DataHandlerService) {}
 
+  ngOnInit(): void {
+    this.getAbsoluteData();
+  }
+
+  getAbsoluteData() {
+    this.loading = true;
+    this.dataService.getOverviewTableAbsoluteData(this.contentAbsoluteSelection).subscribe(
+      rawData => {
+        this.tableAbsoluteData = this.dataHandlerService.convertRawDataToAbsoluteTableData(rawData);
+        this.loading = false;
+      }, error => {
+        console.log(error);
+        this.loading = false;
+      }
+    );
+  }
+
+  getPercentageData() {
+    this.loading = true;
+    this.dataService.getOverviewTableAbsoluteData(this.contentPercentageSelection).subscribe(
+      rawData => {
+        this.tablePercentageData = this.dataHandlerService.convertRawDataToAbsoluteTableData(rawData);
+        this.loading = false;
+      }, error => {
+        console.log(error);
+        this.loading = false;
+      }
+    );
+  }
+
+  getContentAbsolute(contentSelection: string): void {
+    this.contentAbsoluteSelection = contentSelection;
+    this.getAbsoluteData();
+  }
+
+  getContentPercentage(contentSelection: string): void {
+    this.contentPercentageSelection = contentSelection;
+    this.getPercentageData();
+  }
+
   changeView(view: string) {
     this.activeView = view;
     if (view === 'graph') {
@@ -59,7 +108,4 @@
   printOverviewData(sectionID: string) {
     printPage(sectionID);
   }
-
-  ngOnInit(): void {
-  }
 }
Index: modules/open-science-observatory-ui/trunk/src/app/pages/home/home.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/home/home.component.ts	(revision 58824)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/home/home.component.ts	(revision 58825)
@@ -1,46 +1,74 @@
 import { Component, DoCheck, OnInit, ViewEncapsulation } from '@angular/core';
 import { DataService } from '../../services/data.service';
 import { CountryOverview, OverviewData } from '../../domain/overview-data';
+import {CountryOverviewData, EuropeData, SelectedCountry} from '../../domain/overview-map-data';
+import {DataHandlerService} from '../../services/data-handler.service';
 
 @Component({
   selector: 'app-home',
   templateUrl: './home.component.html',
-  // styleUrls: ['./top-menu.component.css'],
-  encapsulation: ViewEncapsulation.None
 })
 
 export class HomeComponent implements OnInit {
 
-  overviewData: OverviewData;
+  // overviewData: OverviewData;
 
-  countrySelectedName: string = null;
-  countrySelectedOverview: CountryOverview = null;
+  europeOverviewData: EuropeData;
 
-  constructor(private dataService: DataService) { }
+  selectedCountry: SelectedCountry = null;
+  selectedCountryData: CountryOverviewData = null;
 
+  // countrySelectedName: string = null;
+  // countrySelectedOverview: CountryOverview = null;
+
+  constructor(private dataService: DataService,
+              private dataHandlerService: DataHandlerService) { }
+
   ngOnInit(): void {
 
-    window.scroll(0,0);
+    window.scroll(0, 0);
 
-    this.dataService.getOverviewData().subscribe(
-      overviewData => {
-        this.overviewData = overviewData;
-      },
-      error => {
+    this.dataService.getEuropeOverviewData().subscribe(
+      rawData => {
+        this.europeOverviewData = this.dataHandlerService.convertRawDataToEuropeOverviewData(rawData);
+      }, error => {
         console.log(error);
       }
     );
+
+    // this.dataService.getOverviewData().subscribe(
+    //   overviewData => {
+    //     this.overviewData = overviewData;
+    //   },
+    //   error => {
+    //     console.log(error);
+    //   }
+    // );
   }
 
-  countrySelected(countryName: string) {
-    // console.log('Country selected: ', countryName);
-    this.countrySelectedName = countryName;
-    this.countrySelectedOverview = this.overviewData.countries.filter(x => x.country === this.countrySelectedName)[0];
+  countrySelected(selectedCountry: SelectedCountry) {
+    this.selectedCountry = selectedCountry;
+    this.selectedCountryData = null;
+
+    this.dataService.getCountryOverviewData(this.selectedCountry.code).subscribe(
+      rawData => {
+        this.selectedCountryData = this.dataHandlerService.convertRawDataToCountryOverviewData(rawData);
+      }, error => {
+        console.log(error);
+      }
+    );
+
+
+    // this.countrySelectedOverview = this.overviewData.countries.filter(x => x.country === this.selectedCountry.name)[0];
     // console.log('Country selected overview: ', this.countrySelectedOverview);
   }
 
   deselectCountry() {
-    this.countrySelectedName = null;
-    this.countrySelectedOverview = null;
+
+    this.selectedCountry = null;
+    this.selectedCountryData = null;
+
+    // this.countrySelectedName = null;
+    // this.countrySelectedOverview = null;
   }
 }
Index: modules/open-science-observatory-ui/trunk/src/app/pages/continentoverview/continent-overview.component.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/pages/continentoverview/continent-overview.component.ts	(nonexistent)
+++ modules/open-science-observatory-ui/trunk/src/app/pages/continentoverview/continent-overview.component.ts	(revision 58825)
@@ -0,0 +1,22 @@
+import { Component, OnInit } from '@angular/core';
+import {ActivatedRoute} from '@angular/router';
+import {DomSanitizer} from '@angular/platform-browser';
+import {DataService} from '../../services/data.service';
+
+@Component({
+  selector: 'app-continent-overview',
+  templateUrl: './continent-overview.component.html',
+})
+
+export class ContinentOverviewComponent implements OnInit {
+
+  continentName: string;
+
+  constructor(private dataService: DataService,
+              private route: ActivatedRoute,
+              private sanitizer: DomSanitizer) { }
+
+  ngOnInit(): void {
+    this.continentName = this.route.snapshot.paramMap.get('continentName');
+  }
+}
